package com.hfkj.openapi.service;

import com.hfkj.common.exception.ErrorCode;
import com.hfkj.common.exception.ErrorHelp;
import com.hfkj.common.exception.SysCode;
import com.hfkj.entity.BsMerchant;
import com.hfkj.model.GasModel;
import com.hfkj.openapi.model.response.ResponseQueryGasInfoModel;
import com.hfkj.service.agent.BsAgentMerService;
import com.hfkj.service.agent.BsAgentPriceService;
import com.hfkj.service.gas.BsGasOilGunNoService;
import com.hfkj.service.gas.BsGasService;
import com.hfkj.service.merchant.BsMerchantService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * @className: GasService
 * @author: HuRui
 * @date: 2024/11/12
 **/
@Component("apiGasService")
public class ApiGasService {
    @Resource
    private BsAgentMerService agentMerService;
    @Resource
    private BsAgentPriceService agentPriceService;
    @Resource
    private BsMerchantService merchantService;
    @Resource
    private BsGasService gasService;

    /**
     * 查询油站详情
     * @param agentId
     * @param gasNo
     */
    public ResponseQueryGasInfoModel queryGasInfo(Long agentId, String gasNo) {
        // 油站详情
        GasModel gasDetail = gasService.getGasDetail(gasNo);
        if (gasDetail == null) {
            throw ErrorHelp.genException(SysCode.OpenApi, ErrorCode.COMMON_ERROR, "未查到加油站信息");
        }

        return  null;
    }

}
